Bug 1417478 - packaging: gnome-builder should have "Recommends: meson" in spec file
Summary: packaging: gnome-builder should have "Recommends: meson" in spec file
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-builder
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-29 17:57 UTC by Christian Stadelmann
Modified: 2018-07-31 20:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Christian Stadelmann 2017-01-29 17:57:52 UTC
Description of problem:
Currently, when installing gnome-builder, meson is not installed.

Version-Release number of selected component (if applicable):
gnome-builder-3.22.4-1.fc25.x86_64

How reproducible:
always – packaging issue

Steps to Reproduce:
1. run gnome-builder
2. watch output (or logs)
3. open any meson-based project, e.g. gst-plugins-good
4. press the "Build" button

Actual results:
Status turns to "failed" and build is unsuccessful. No further error message is explaining the problem.

Expected results:
No warning. meson should be installed when installing gnome-builder.

Comment 1 Fedora End Of Life 2017-11-16 18:50:56 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Christian Stadelmann 2017-11-17 00:13:07 UTC
Still present. I opened a pull request: https://src.fedoraproject.org/rpms/gnome-builder/pull-request/1


Note You need to log in before you can comment on or make changes to this bug.